diff --git a/.circleci/Dockerfile b/.circleci/Dockerfile
index c706055d1a5999bc3b08413a0792b13c0a5d3022..072232c14210e7d623d43231d78b33b76a1804bd 100644
--- a/.circleci/Dockerfile
+++ b/.circleci/Dockerfile
@@ -1,10 +1,11 @@
+# docker build -t quay.io/monax/burrow:ci .
 FROM golang:1.10.1-alpine3.7
 MAINTAINER Monax <support@monax.io>
 
 ENV DOCKER_VERSION "17.12.1-ce"
 # This is the image used by the Circle CI config in this directory pushed to quay.io/monax/bosmarmot:ci
 # docker build -t quay.io/monax/burrow:ci -f ./.circleci/Dockerfile .
-RUN apk add --update --no-cache nodejs netcat-openbsd git openssh-client make bash gcc g++ jq curl
+RUN apk add --update --no-cache nodejs netcat-openbsd git openssh-client openssl make bash gcc g++ jq curl
 # get docker client
 RUN curl -L -o /tmp/docker-$DOCKER_VERSION.tgz https://download.docker.com/linux/static/stable/x86_64/docker-$DOCKER_VERSION.tgz \
     && tar -xz -C /tmp -f /tmp/docker-$DOCKER_VERSION.tgz \
diff --git a/keys/test.sh b/keys/test.sh
index 768242531c70fe9ef26c925655cd9eeb71211767..ddda6cc8b5eb86b039c5e00e2dcd80e0879896f5 100755
--- a/keys/test.sh
+++ b/keys/test.sh
@@ -5,6 +5,7 @@
 
 # TODO: run the suite with/without encryption!
 
+set -e
 
 burrow_bin=${burrow_bin:-burrow}
 
@@ -93,7 +94,7 @@ do
 	DIR=$keys_dir/data
 	FILE=$DIR/$ADDR.json
 	PRIV=`cat $FILE |  jq -r .PrivateKey.Plain`
-	HEXPRIV=`echo -n "$PRIV" | base64 -d | xxd -p -u -c 256`
+	HEXPRIV=`echo -n "$PRIV" | base64 -d | xxd -p -c 256 | tr '[:lower:]' '[:upper:]'`
 	cp $FILE ~/$ADDR
 	rm -rf $DIR